Skip to main content
GET
List units

Authorizations

Api-Token
string
header
required

Server-to-server authentication. Generate a token in the admin UI at Settings → Developers → API Access. Send the raw token in the Api-Token header — there is no Bearer prefix.

Tokens can be marked read-only at creation time, in which case the API rejects any non-GET request with 403 Forbidden.

Query Parameters

page
integer
default:1

The collection page number

itemsPerPage
integer
default:200

The number of items per page

Required range: 0 <= x <= 100
pagination
boolean

Enable or disable pagination

isRoleGroup
boolean
isRoleGroup[]
boolean[]
parent
string
parent[]
string[]
localCenter
string
localCenter[]
string[]
status
string
status[]
string[]
unitType
string
unitType[]
string[]
order[name]
enum<string>
default:asc
Available options:
asc,
desc
order[parent.name]
enum<string>
default:asc
Available options:
asc,
desc
order[userType.position]
enum<string>
default:asc
Available options:
asc,
desc
exists[isRoleGroup]
boolean
exists[localCenter]
boolean
exists[unitType]
boolean
exists[parent]
boolean

Response

200 - application/json

Unit collection

id
integer
read-only
name
string
parent
unknown
logo
string | null
unitType
object | null
dateCreated
string<date-time>
dateEnded
string<date-time> | null
status
string | null
default:ACTIVE
unitRoles
object[]
userType
object | null
localCenter
object | null
isRoleGroup
boolean | null
activeMemberCount
integer
default:0
emoji
string | null